pre_install() {
    if systemctl is-active ntpd.service 1>/dev/null; then
        systemctl disable --now ntpd.service
    fi
}

post_install() {
    systemctl enable --now ntpd.service
}

post_remove() {
    if systemctl is-active ntpd.service 1>/dev/null; then
        systemctl disable --now ntpd.service
    fi
}
